// Read TA file and emit RSF file containing only two
// relations 'contain' and 'siblingDep' for 'lslayout'.

fileTa = $1;
fileRsf = $2;

contain = eset;
getta (fileTa); 

delete $INSTANCE

//// Delete attribute relations
delRels = relnames[&0 =~ "^@.*"];
for r in delRels {
    delete $r;
}

//// Delete other relations except contain
delRels = relnames - {"$_cInstance","contain"};	// The actual relations
dep = eset;					// Dependencies
for r in delRels {
    dep = dep + $r;
    delete $r;		 // lslayout will use only sibling dependencies
}

Do = contain*;					// Reflexive dependents
Ao = inv Do;					// Reflexive ancestors
S  = (inv contain o contain) - id ent contain;	// Siblings
siblingDep = (Do o dep o Ao) ^ S;
delete(dep, Do, Ao, S);

putdb(fileRsf, {"contain", "siblingDep"});
